diff --git a/Countries/Regions/ISO3166-2-SubdivisionCodes-RU.rdf b/Countries/Regions/ISO3166-2-SubdivisionCodes-RU.rdf
index 0d5bf9d..09be6f3 100644
--- a/Countries/Regions/ISO3166-2-SubdivisionCodes-RU.rdf
+++ b/Countries/Regions/ISO3166-2-SubdivisionCodes-RU.rdf
@@ -783,28 +783,28 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Novgorodskaja oblast'
+    // Mariy El, Respublika
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;NovgorodskajaOblast">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;MariyEl">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Novgorodskaja oblast'</rdfs:label>
-      <skos:definition>The administrative region of Novgorodskaja oblast' in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>Mariy El, Respublika</rdfs:label>
+      <skos:definition>The republic of Mariy El, Respublika in the country of Russian Federation (the)</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;RussianFederation"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Novgorodskaja oblast'</lcc-cr:hasLocalShortName>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Novgorodskaya oblast'</lcc-cr:hasLocalShortName>
-      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;AdministrativeRegion"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Mariy El, Respublika</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Marij Èl, Respublika</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;Republic"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-NGR">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-ME">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the administrative region of Novgorodskaja oblast' in the country of Russian Federation (the)</skos:definition>
-      <rdfs:label>RU-NGR</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-NGR</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;NovgorodskajaOblast"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;NovgorodskajaOblast"/>
+      <skos:definition>subdivision code for the republic of Mariy El, Respublika in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>RU-ME</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-ME</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;MariyEl"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;MariyEl"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
@@ -814,28 +814,28 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Nižegorodskaja oblast'
+    // Mordoviya, Respublika
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;NizegorodskajaOblast">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;Mordoviya">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Nižegorodskaja oblast'</rdfs:label>
-      <skos:definition>The administrative region of Nižegorodskaja oblast' in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>Mordoviya, Respublika</rdfs:label>
+      <skos:definition>The republic of Mordoviya, Respublika in the country of Russian Federation (the)</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;RussianFederation"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Nižegorodskaja oblast'</lcc-cr:hasLocalShortName>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Nizhegorodskaya oblast'</lcc-cr:hasLocalShortName>
-      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;AdministrativeRegion"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Mordoviya, Respublika</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Mordovija, Respublika</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;Republic"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-NIZ">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-MO">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the administrative region of Nižegorodskaja oblast' in the country of Russian Federation (the)</skos:definition>
-      <rdfs:label>RU-NIZ</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-NIZ</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;NizegorodskajaOblast"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;NizegorodskajaOblast"/>
+      <skos:definition>subdivision code for the republic of Mordoviya, Respublika in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>RU-MO</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-MO</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;Mordoviya"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;Mordoviya"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
@@ -845,28 +845,28 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Orenburgskaja oblast'
+    // Penzenskaya oblast'
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;OrenburgskajaOblast">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;PenzenskayaOblast">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Orenburgskaja oblast'</rdfs:label>
-      <skos:definition>The administrative region of Orenburgskaja oblast' in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>Penzenskaya oblast'</rdfs:label>
+      <skos:definition>The administrative region of Penzenskaya oblast' in the country of Russian Federation (the)</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;RussianFederation"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Orenburgskaja oblast'</lcc-cr:hasLocalShortName>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Orenburgskaya oblast'</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Penzenskaya oblast'</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Penzenskaja oblast'</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;AdministrativeRegion"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-ORE">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-PNZ">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the administrative region of Orenburgskaja oblast' in the country of Russian Federation (the)</skos:definition>
-      <rdfs:label>RU-ORE</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-ORE</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;OrenburgskajaOblast"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;OrenburgskajaOblast"/>
+      <skos:definition>subdivision code for the administrative region of Penzenskaya oblast' in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>RU-PNZ</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-PNZ</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;PenzenskayaOblast"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;PenzenskayaOblast"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
@@ -876,28 +876,28 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Orlovskaja oblast'
+    // Saha, Respublika
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;OrlovskajaOblast">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;Saha">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Orlovskaja oblast'</rdfs:label>
-      <skos:definition>The administrative region of Orlovskaja oblast' in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>Saha, Respublika</rdfs:label>
+      <skos:definition>The republic of Saha, Respublika in the country of Russian Federation (the)</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;RussianFederation"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Orlovskaja oblast'</lcc-cr:hasLocalShortName>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Orlovskaya oblast'</lcc-cr:hasLocalShortName>
-      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;AdministrativeRegion"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Saha, Respublika</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Sakha, Respublika</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;Republic"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-ORL">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-SA">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the administrative region of Orlovskaja oblast' in the country of Russian Federation (the)</skos:definition>
-      <rdfs:label>RU-ORL</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-ORL</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;OrlovskajaOblast"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;OrlovskajaOblast"/>
+      <skos:definition>subdivision code for the republic of Saha, Respublika in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>RU-SA</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-SA</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;Saha"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;Saha"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
@@ -907,28 +907,28 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Pskovskaja oblast'
+    // Smolenskaja oblast'
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;PskovskajaOblast">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;SmolenskajaOblast">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Pskovskaja oblast'</rdfs:label>
-      <skos:definition>The administrative region of Pskovskaja oblast' in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>Smolenskaja oblast'</rdfs:label>
+      <skos:definition>The administrative region of Smolenskaja oblast' in the country of Russian Federation (the)</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;RussianFederation"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ur">Pskovskaja oblast'</lcc-cr:hasLocalShortName>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Pskovskaya oblast'</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Smolenskaja oblast'</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Smolenskaya oblast'</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;AdministrativeRegion"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-PSK">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-SMO">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the administrative region of Pskovskaja oblast' in the country of Russian Federation (the)</skos:definition>
-      <rdfs:label>RU-PSK</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-PSK</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;PskovskajaOblast"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;PskovskajaOblast"/>
+      <skos:definition>subdivision code for the administrative region of Smolenskaja oblast' in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>RU-SMO</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-SMO</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;SmolenskajaOblast"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;SmolenskajaOblast"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
@@ -938,28 +938,28 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Sverdlovskaya oblast'
+    // Vologodskaya oblast'
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;SverdlovskayaOblast">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;VologodskayaOblast">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Sverdlovskaya oblast'</rdfs:label>
-      <skos:definition>The administrative region of Sverdlovskaya oblast' in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>Vologodskaya oblast'</rdfs:label>
+      <skos:definition>The administrative region of Vologodskaya oblast' in the country of Russian Federation (the)</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;RussianFederation"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Sverdlovskaya oblast'</lcc-cr:hasLocalShortName>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Sverdlovskaja oblast'</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Vologodskaya oblast'</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Vologodskaja oblast'</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;AdministrativeRegion"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-SVE">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-VLG">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the administrative region of Sverdlovskaya oblast' in the country of Russian Federation (the)</skos:definition>
-      <rdfs:label>RU-SVE</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-SVE</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;SverdlovskayaOblast"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;SverdlovskayaOblast"/>
+      <skos:definition>subdivision code for the administrative region of Vologodskaya oblast' in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>RU-VLG</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-VLG</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;VologodskayaOblast"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;VologodskayaOblast"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
@@ -969,28 +969,28 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Tyumenskaya oblast'
+    // Astrakhanskaya oblast'
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;TyumenskayaOblast">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;AstrakhanskayaOblast">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Tyumenskaya oblast'</rdfs:label>
-      <skos:definition>The administrative region of Tyumenskaya oblast' in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>Astrakhanskaya oblast'</rdfs:label>
+      <skos:definition>The administrative region of Astrakhanskaya oblast' in the country of Russian Federation (the)</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;RussianFederation"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Tyumenskaya oblast'</lcc-cr:hasLocalShortName>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Tjumenskaja oblast'</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Astrakhanskaya oblast'</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Astrahanskaja oblast'</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;AdministrativeRegion"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-TYU">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-AST">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the administrative region of Tyumenskaya oblast' in the country of Russian Federation (the)</skos:definition>
-      <rdfs:label>RU-TYU</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-TYU</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;TyumenskayaOblast"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;TyumenskayaOblast"/>
+      <skos:definition>subdivision code for the administrative region of Astrakhanskaya oblast' in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>RU-AST</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-AST</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;AstrakhanskayaOblast"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;AstrakhanskayaOblast"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
@@ -1000,28 +1000,28 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Altajskij kraj
+    // Buryatiya, Respublika
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;AltajskijKraj">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;Buryatiya">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Altajskij kraj</rdfs:label>
-      <skos:definition>The administrative territory of Altajskij kraj in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>Buryatiya, Respublika</rdfs:label>
+      <skos:definition>The republic of Buryatiya, Respublika in the country of Russian Federation (the)</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;RussianFederation"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Altajskij kraj</lcc-cr:hasLocalShortName>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Altayskiy kray</lcc-cr:hasLocalShortName>
-      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;AdministrativeTerritory"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Buryatiya, Respublika</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Burjatija, Respublika</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;Republic"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-ALT">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-BU">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the administrative territory of Altajskij kraj in the country of Russian Federation (the)</skos:definition>
-      <rdfs:label>RU-ALT</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-ALT</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;AltajskijKraj"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;AltajskijKraj"/>
+      <skos:definition>subdivision code for the republic of Buryatiya, Respublika in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>RU-BU</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-BU</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;Buryatiya"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;Buryatiya"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
@@ -1031,28 +1031,28 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Ivanovskaya oblast'
+    // Chukotskiy avtonomnyy okrug
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;IvanovskayaOblast">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;ChukotskiyAvtonomnyyOkrug">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Ivanovskaya oblast'</rdfs:label>
-      <skos:definition>The administrative region of Ivanovskaya oblast' in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>Chukotskiy avtonomnyy okrug</rdfs:label>
+      <skos:definition>The autonomous district of Chukotskiy avtonomnyy okrug in the country of Russian Federation (the)</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;RussianFederation"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Ivanovskaya oblast'</lcc-cr:hasLocalShortName>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Ivanovskaja oblast'</lcc-cr:hasLocalShortName>
-      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;AdministrativeRegion"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Chukotskiy avtonomnyy okrug</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Čukotskij avtonomnyj okrug</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;AutonomousDistrict"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-IVA">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-CHU">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the administrative region of Ivanovskaya oblast' in the country of Russian Federation (the)</skos:definition>
-      <rdfs:label>RU-IVA</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-IVA</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;IvanovskayaOblast"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;IvanovskayaOblast"/>
+      <skos:definition>subdivision code for the autonomous district of Chukotskiy avtonomnyy okrug in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>RU-CHU</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-CHU</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;ChukotskiyAvtonomnyyOkrug"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;ChukotskiyAvtonomnyyOkrug"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
@@ -1062,28 +1062,28 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Krasnodarskiy kray
+    // Stavropol'skiy kray
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;KrasnodarskiyKray">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;StavropolskiyKray">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Krasnodarskiy kray</rdfs:label>
-      <skos:definition>The administrative territory of Krasnodarskiy kray in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>Stavropol'skiy kray</rdfs:label>
+      <skos:definition>The administrative territory of Stavropol'skiy kray in the country of Russian Federation (the)</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;RussianFederation"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Krasnodarskiy kray</lcc-cr:hasLocalShortName>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Krasnodarskij kraj</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Stavropol'skiy kray</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Stavropol'skij kraj</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;AdministrativeTerritory"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-KDA">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-STA">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the administrative territory of Krasnodarskiy kray in the country of Russian Federation (the)</skos:definition>
-      <rdfs:label>RU-KDA</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-KDA</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;KrasnodarskiyKray"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;KrasnodarskiyKray"/>
+      <skos:definition>subdivision code for the administrative territory of Stavropol'skiy kray in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>RU-STA</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-STA</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;StavropolskiyKray"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;StavropolskiyKray"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
@@ -1093,28 +1093,28 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Kemerovskaya oblast'
+    // Jamalo-Neneckij avtonomnyj okrug
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;KemerovskayaOblast">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;Jamalo-NeneckijAvtonomnyjOkrug">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Kemerovskaya oblast'</rdfs:label>
-      <skos:definition>The administrative region of Kemerovskaya oblast' in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>Jamalo-Neneckij avtonomnyj okrug</rdfs:label>
+      <skos:definition>The autonomous district of Jamalo-Neneckij avtonomnyj okrug in the country of Russian Federation (the)</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;RussianFederation"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Kemerovskaya oblast'</lcc-cr:hasLocalShortName>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Kemerovskaja oblast'</lcc-cr:hasLocalShortName>
-      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;AdministrativeRegion"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Jamalo-Neneckij avtonomnyj okrug</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Yamalo-Nenetskiy avtonomnyy okrug</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;AutonomousDistrict"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-KEM">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-YAN">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the administrative region of Kemerovskaya oblast' in the country of Russian Federation (the)</skos:definition>
-      <rdfs:label>RU-KEM</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-KEM</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;KemerovskayaOblast"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;KemerovskayaOblast"/>
+      <skos:definition>subdivision code for the autonomous district of Jamalo-Neneckij avtonomnyj okrug in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>RU-YAN</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-YAN</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;Jamalo-NeneckijAvtonomnyjOkrug"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;Jamalo-NeneckijAvtonomnyjOkrug"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
